---
search:
  tags:
    - Redirects
    - GET
seo:
  description: >-
    Retrieves all redirects associated with a… Reference for the GET
    /api/v1/{team_slug}/{app_slug}/redirects/item/{item_id} endpoint in the
    Management API.
sidebar:
  label: List redirects for an item
  badge: GET
title: List redirects for an item
type: openapi-operation
---
Retrieves all redirects associated with a specific item

`GET /api/v1/{team_slug}/{app_slug}/redirects/item/{item_id}`

**Responses**

- `200` — Redirects
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": [
    {
      "id": "string",
      "item_id": "string",
      "locale": "string",
      "new_slug": "string",
      "old_slug": "string",
      "type": "product"
    }
  ],
  "success": true,
  "total": 0,
  "total_pages": 0
}
```
